Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Class BSplineSurfaceForm

    Object
      CodeList<BSplineSurfaceForm>
          BSplineSurfaceForm

All Implemented Interfaces:
  Serializable, Comparable<BSplineSurfaceForm>

    @UML(identifier="GM_BSplineSurfaceForm",
         specification=ISO_19107)
    public class BSplineSurfaceForm

extends CodeList<BSplineSurfaceForm>

Indicates a particular geometric form represented by a `BSplineSurface`.

Since:
  GeoAPI 2.1
Version:
  ISO 19107
See Also:
  Serialized Form

Field Summary
`static BSplineSurfaceForm` | `CONICAL` A bounded portion of the surface of a right circular cone represented by a B-spline surface.
`static BSplineSurfaceForm` | `CYLINDRICAL` A bounded portion of a cylindrical surface represented by a B-spline surface.
`static BSplineSurfaceForm` | `PLANAR` A bounded portion of a plane represented by a B-spline surface of degree 1 in each parameter.
`static BSplineSurfaceForm` | `SPHERICAL` A bounded portion of a sphere, or a complete sphere represented by a B-spline surface.
`static BSplineSurfaceForm` | `TOROIDAL` A torus or a portion of a torus represented by a B-spline surface.
`static BSplineSurfaceForm` | `UNSPECIFIED` No particular surface is specified..

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static BSplineSurfaceForm` | `valueOf(String code)` Returns the BSplineSurfaceForm that matches the given string, or returns a new one if none match it.
`static BSplineSurfaceForm[]` | `values()` Returns the list of `BSplineSurfaceForm`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLANAR

    @UML(identifier="planar",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final BSplineSurfaceForm PLANAR

  A bounded portion of a plane represented by a B-spline surface of degree 1 in each parameter.

### CYLINDRICAL

    @UML(identifier="cylindrical",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final BSplineSurfaceForm CYLINDRICAL

  A bounded portion of a cylindrical surface represented by a B-spline surface.

### CONICAL

    @UML(identifier="conical",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final BSplineSurfaceForm CONICAL

  A bounded portion of the surface of a right circular cone represented by a B-spline surface.

### SPHERICAL

    @UML(identifier="spherical",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final BSplineSurfaceForm SPHERICAL

  A bounded portion of a sphere, or a complete sphere represented by a B-spline surface.

### TOROIDAL

    @UML(identifier="toroidal",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final BSplineSurfaceForm TOROIDAL

  A torus or a portion of a torus represented by a B-spline surface.

### UNSPECIFIED

    @UML(identifier="unspecified",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final BSplineSurfaceForm UNSPECIFIED

  No particular surface is specified..

Method Detail

### values

    public static BSplineSurfaceForm[] values()

  Returns the list of `BSplineSurfaceForm`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<BSplineSurfaceForm>`

### valueOf

    public static BSplineSurfaceForm valueOf(String code)

  Returns the BSplineSurfaceForm that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.